import request from '@/utils/request'

// 查询危险工程列表
export function listEngineeringDangerous(query) {
  return request({
    url: '/zdsz/engineeringDangerous/list',
    method: 'get',
    params: query
  })
}

// 查询危险工程详细
export function getEngineeringDangerous(id) {
  return request({
    url: '/zdsz/engineeringDangerous/query/' + id,
    method: 'get'
  })
}

// 新增危险工程
export function addEngineeringDangerous(data) {
  return request({
    url: '/zdsz/engineeringDangerous',
    method: 'post',
    data: data
  })
}

// 修改危险工程
export function updateEngineeringDangerous(data) {
  return request({
    url: '/zdsz/engineeringDangerous',
    method: 'put',
    data: data
  })
}

// 删除危险工程
export function delEngineeringDangerous(id) {
  return request({
    url: '/zdsz/engineeringDangerous/' + id,
    method: 'delete'
  })
}

export function queryEngineeringDangerous({id}) {
  return request({
    url: `/zdsz/engineeringDangerous/${id}`,
    method: 'get',
  })
}
